VMTKPATHLINEANIMATOR(1)

NAME
vmtkpathlineanimator - vmtk script vmtkpathlineanimator

DESCRIPTION
Automatic piping vmtkpathlineanimator Parsing options vmtkpathlineanimator

vmtkpathlineanimator : Particle or streaklines animation

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i InputTraces (vtkPolyData,1): traces

-ifile InputTracesInputFileName (str,1): filename for the default

    InputTraces reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-method Method (str,1) in ['particles', 'streaklines'];

    default=particles: animator method

-streaklinetimelength StreakLineTimeLength (float,1) >= 0.0;

    default=0.01

-legend Legend (bool,1); default=0: toggle scalar bar

-colormap ColorMap (str,1) in ['rainbow', 'blackbody',

    'cooltowarm', 'grayscale']; default=cooltowarm: change the color map

-numberofcolors NumberOfColors (int,1); default=256: number of

    colors in the color map

-mintime MinTime (float,1) >= 0.0; default=0.0

-maxtime MaxTime (float,1) >= 0.0; default=1.0

-timestep TimeStep (float,1) >= 0.0; default=None

-pattern Pattern (str,1); default=frame_%04d.png

-imagesdirectory ImagesDirectory (str,1);

    default=/home/debian_developer

-screenshot WithScreenshots (bool,1); default=0

-arraymax ArrayMax (float,1) >= 0.0; default=None

-arrayunit ArrayUnit (str,1); default=cm/s: array unit measure

-pointsize PointSize (int,1) >= 1; default=6

-linewidth LineWidth (int,1) >= 1; default=2

-array ArrayName (str,1); default=Velocity: name of the array where

    the scalars to be displayed are stored

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self